SUSE SLED12 / SLES12 Security Update : xorg-x11-server (SUSE-SU-2015:0047-1)

This script is Copyright (C) 2015-2016 Tenable Network Security, Inc.


Synopsis :

The remote SUSE host is missing one or more security updates.

Description :

This X.Org update fixes the following security issues :

- denial of service due to unchecked malloc in client
authentication (CVE-2014-8091)

- integer overflows calculating memory needs for requests:
CVE-2014-8092: X11 core protocol requests CVE-2014-8093:
GLX extension CVE-2014-8094: DRI2 extension

- out of bounds access due to not validating length or
offset values in requests: CVE-2014-8095: XInput
extension CVE-2014-8096: XC-MISC extension
CVE-2014-8097: DBE extension CVE-2014-8098: GLX
extension CVE-2014-8099: XVideo extension CVE-2014-8100:
Render extension CVE-2014-8101: RandR extension
CVE-2014-8102: XFixes extension CVE-2014-8103: DRI3 and
Present extensions

Note that Tenable Network Security has extracted the preceding
description block directly from the SUSE security advisory. Tenable
has attempted to automatically clean and format it as much as possible
without introducing additional issues.

See also :

http://support.novell.com/security/cve/CVE-2014-8091.html
http://support.novell.com/security/cve/CVE-2014-8092.html
http://support.novell.com/security/cve/CVE-2014-8093.html
http://support.novell.com/security/cve/CVE-2014-8094.html
http://support.novell.com/security/cve/CVE-2014-8095.html
http://support.novell.com/security/cve/CVE-2014-8096.html
http://support.novell.com/security/cve/CVE-2014-8097.html
http://support.novell.com/security/cve/CVE-2014-8098.html
http://support.novell.com/security/cve/CVE-2014-8099.html
http://support.novell.com/security/cve/CVE-2014-8100.html
http://support.novell.com/security/cve/CVE-2014-8101.html
http://support.novell.com/security/cve/CVE-2014-8102.html
http://support.novell.com/security/cve/CVE-2014-8103.html
https://bugzilla.suse.com/show_bug.cgi?id=907268
http://www.nessus.org/u?f2a304de

Solution :

To install this SUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product :

SUSE Linux Enterprise Software Development Kit 12 :

zypper in -t patch SUSE-SLE-SDK-12-2015-18

SUSE Linux Enterprise Server 12 :

zypper in -t patch SUSE-SLE-SERVER-12-2015-18

SUSE Linux Enterprise Desktop 12 :

zypper in -t patch SUSE-SLE-DESKTOP-12-2015-18

To bring your system up-to-date, use 'zypper patch'.

Risk factor :

Medium / CVSS Base Score : 6.5
(CVSS2#AV:N/AC:L/Au:S/C:P/I:P/A:P)
CVSS Temporal Score : 4.8
(CVSS2#E:U/RL:OF/RC:C)
Public Exploit Available : false

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now